当前位置:首页 > discuz教程 > 正文内容

Discuz X3.3支持HTTPS了吗?是否值得升级到X3.3?

葱子3年前discuz教程197
点击这里给我发消息

discuz X3.3是否支持https?

X3.3版本是支持https的。 discuz X3.3开启https的方法比较简单1、查找修改文件discuz_application.php : 将第187行修改为: $_G[‘isHTTPS’] = ($_SERVER[‘SERVER_PORT’] == 443 || $_SERVER[‘HTTPS’] && strtolower($_SERVER[‘HTTPS’]) != 'off') ? true : false; 删除第188行, 将第189行修改为: $_G[‘siteurl’] = dhtmlspecialchars(‘http’.($_G[‘isHTTPS’] ? ‘s’ : ”).’://’.$_SERVER[‘HTTP_HOST’].$sitepath.'/');

2、查找修改文件avatar.php 具体的修改教程可以看这里:https://www.aitiancheng.com/article-291.html

discuz X3.3是否值得升级?

X3.3版本是目前discuz名义上的最新版本,X3.3对比X3.2的升级主要体现在对php7.0的支持上,同时对https的支持会比X3.2要好一点。

但是,我还是不建议各位站长盲目升级到X3.3,特别是已经稳定运营的站点。 我的考虑主要是以下几个方面:

1.X3.3每个月都有迭代新版本发布,如果你是想认真做网站,特别是稳定运营的网站,不建议盲目追新版。因做网站第一要求是稳定。 

2.X3.3的主要改进是在对php7.0的支持上。升级php版本到7.0后,确实会使网站运行加快一点,但是目前discuz应用中心现有的插件和模板能够完美兼容的少之又少。所以,盲目升级到X3.3版本如果出现插件不兼容无法使用,模板错位等bug,得不偿失啊。


相关文章

discuz X3.2/X3.4取消邮箱email注册必填项

discuz X3.2/X3.4取消邮箱email注册必填项

最近我的新网站开启了手机号注册功能,所以邮箱注册这项就不是必须的了。 查找了下相关的资料和教程,总结如下:  实现功能:  1、在DZ后台新增邮箱必...

discuz X3.4的最新版QQ互联插件配置教程(https)

discuz X3.4的最新版QQ互联插件配置教程(https)

一、discuz X3.4的QQ互联都更新了哪些内容 其中的QQ互联功能已升级为允许使用QQ互联官方的 appid,新站点必须到 http:/...

discuz网站开启https后无法通过dz应用中心的认证解决办法

discuz网站开启https后无法通过dz应用中心的认证解决办法

很多站长会发现,在对自己的discuz网站开启了https后,无法通过dz应用中心的认证了。 无法通过认证,会导致无法安装部分dz应用中心的插件和模板。  那么应该如何解...

解决discuz X3.4启用搜索,就Oops! System file lost: class/class_cloud.php

解决discuz X3.4启用搜索,就Oops! System file lost: class/class_cloud.php

今天在启用我论坛的搜索功能的时候,发现点击全局-搜索设置,无法正确开启搜索功能。 就研究了下,我论坛的错误提示是admincp_setting.php这个文件有问题,看提示代码,应该是跟云平台...

discuz数据库security_failedlog错误及修复

discuz数据库security_failedlog错误及修复

最近朋友的discuzX2.5的论坛老是出现"security_failedlog is marked as crashed and last(automatic?)repair failed"...

完美解决Discuz!论坛无法开通QQ互联 提示系统繁忙请稍后再试【转载】

完美解决Discuz!论坛无法开通QQ互联 提示系统繁忙请稍后再试【转载】

由于目前(2017年5月份以后安装)Discuz!论坛QQ互联功能暂时无法正常开通,根据目前官方论坛内站长反应的情况来看,官方应该是关闭了直接开通QQ互联功能,那么除了使用站帮网的...